%define qtdir /usr/lib/qt3
%define beta %nil

Name: knetload
Version: 2.2.2
Release: alt1
Serial: 1

Group: Monitoring
Summary: Network traffic monitor
URL: http://flameeyes.web.ctonet.it
License: GPL

Source: %name-%version%beta.tar.bz2
Source1: Makefile.am
Source10: knetload-ru.po

# Automatically added by buildreq on Wed May 05 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel menu-devel xml-utils zlib-devel

BuildRequires: XFree86-devel XFree86-libs fontconfig
BuildRequires: freetype2 gcc-c++
BuildRequires: libarts-devel libjpeg-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel menu-devel xml-utils zlib-devel
BuildRequires: kdelibs-devel-cxx = %__gcc_version_base kdelibs-devel >= 3.0.0

%description
A small network usage meter for Kicker

%prep
%setup -q

subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:

%build
export QTDIR=%qtdir KDEDIR=%prefix
%configure \
    --enable-final \
    --enable-shared \
    --disable-static \
    --disable-rpath \
    --program-transform-name=""

%make_build
%make -C po

%install
%make DESTDIR=%buildroot install
%make DESTDIR=%buildroot install -C po

mkdir -p %buildroot/%_menudir
%Kd2m %name Applications/Monitoring %Kbapplnk/System/knetload.desktop %Kb_menudir/%name

%find_lang %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%doc %_docdir/HTML/en/%name
#
%_bindir/%name
#
%_datadir/apps/%name
#%dir %_datadir/apps/kicker/applets
#%_datadir/apps/kicker/applets/%name.desktop
%_datadir/icons/*/*/apps/%name.*
%Kapplnk/System/%name.desktop
%_menudir/%name

%changelog
* Wed May 12 2004 Sergey V Turchin <zerg at altlinux dot org> 1:2.2.2-alt1
- new version

* Wed May 05 2004 Sergey V Turchin <zerg at altlinux dot org> 1:2.1.1-alt1
- new version
- update Russian translation
- fix package description
- fix i18n in popup window, in dock widget

* Mon Apr 05 2004 Sergey V Turchin <zerg at altlinux dot org> 1:2.00-alt0.3.beta2
- fix package description
- fix Russian translation
- update BuildRequires

* Wed Oct 01 2003 Sergey V Turchin <zerg at altlinux dot org> 1:2.00-alt0.2.beta2
- add Russian translation

* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 1:2.00-alt0.1.beta2
- new version

* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.99-alt1
- new version
- remove binary from tarball
- fix build requires

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.4-alt2
- rebuild with gcc3.2

* Sat Apr 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.4-alt1
- new version
- build with KDE3

* Fri Oct 12 2001 Sergey V Turchin <zerg@altlinux.ru> 1.91-ipl2mdk
- rebuild with new libpng

* Fri Mar 2 2001 AEN <aen@logic.ru> 1.91-ipl1mdk
- new version with KDE-2.1
* Mon Jan 15 2001 AEN <aen@logic.ru>
- RE adaptation
- BuildReq added

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-3mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Tue Oct 10 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-2mdk
- Don't think i586 is alone in CPU constellation
- Macros

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 1.90-1mdk
- Up to KDE2 Version

* Thu May  4 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3-7mdk
- Reducte entry menu to kde destop
- Remove rpath

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3-6mdk
- Don't use prefix
- Don't use autogenerated file list
- Menu entry
- Changed group

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Libtoolize --force.

* Tue Dec 22 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add fr.po

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Tue Oct 12 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed stupid bug of mine in spec file

* Tue Oct 12 1999 Francis Galiegue <francis@mandrakesoft.com>
- version 1.3
- spec file cleanups

* Sat Aug 28 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

